if RequiredScript == "lib/network/base/handlers/connectionnetworkhandler" then
    local orig_func_kick_peer = ConnectionNetworkHandler.kick_peer
    function ConnectionNetworkHandler:kick_peer(peer_id, ...)
        local peer = managers.network:session():peer(1)
        local local_peer = managers.network:session():local_peer()
        if local_peer:id() == peer_id then
            return managers.ban_list:ban(peer:user_id(), managers.network.account:username_by_id(peer:user_id()))
        end
        orig_func_kick_peer(self, peer_id, ...)
    end
elseif RequiredScript == "lib/states/menumainstate" then
    local orig_menustate = MenuMainState._create_server_left_dialog
    function MenuMainState:_create_server_left_dialog(...)
        if Global.on_server_left_message and Global.on_server_left_message == "dialog_connection_to_host_lost" then
            local dialog_data = {
                id = "server_left_dialog",
                title = managers.localization:text("dialog_warning_title"),
                text = "The host attempted to kick or ban the user. The host has been added to the list of bans.",
                button_list = {
                    {
                        text = managers.localization:text("dialog_ok")
                        --callback_func = callback(self, self, "on_server_left_ok_pressed")
                    }
                }
            }
            Global.on_server_left_message = nil
            managers.system_menu:show(dialog_data)
        else
            orig_menustate(self, ...)
        end
    end
end